/*
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.consent.mgt.core.model;

/**
 * The model representing a a consent receipt.
 */
public class ReceiptListResponse {

    private String consentReceiptId;
    private String language;
    private String piiPrincipalId;
    private String tenantDomain;
    private int tenantId;
    private String state;
    private String spDisplayName;
    private String spDescription;

    public ReceiptListResponse(String consentReceiptId, String language, String piiPrincipalId, int tenantId,
                               String state, String spDisplayName, String spDescription) {

        this.consentReceiptId = consentReceiptId;
        this.language = language;
        this.piiPrincipalId = piiPrincipalId;
        this.tenantId = tenantId;
        this.state = state;
        this.spDisplayName = spDisplayName;
        this.spDescription = spDescription;
    }

    public String getConsentReceiptId() {

        return consentReceiptId;
    }

    public void setConsentReceiptId(String consentReceiptId) {

        this.consentReceiptId = consentReceiptId;
    }

    public String getLanguage() {

        return language;
    }

    public void setLanguage(String language) {

        this.language = language;
    }

    public String getPiiPrincipalId() {

        return piiPrincipalId;
    }

    public void setPiiPrincipalId(String piiPrincipalId) {

        this.piiPrincipalId = piiPrincipalId;
    }

    public String getTenantDomain() {

        return tenantDomain;
    }

    public void setTenantDomain(String tenantDomain) {

        this.tenantDomain = tenantDomain;
    }

    public String getState() {

        return state;
    }

    public void setState(String state) {

        this.state = state;
    }

    public int getTenantId() {

        return tenantId;
    }

    public void setTenantId(int tenantId) {

        this.tenantId = tenantId;
    }

    public String getSpDisplayName() {

        return spDisplayName;
    }

    public void setSpDisplayName(String spDisplayName) {

        this.spDisplayName = spDisplayName;
    }

    public String getSpDescription() {

        return spDescription;
    }

    public void setSpDescription(String spDescription) {

        this.spDescription = spDescription;
    }
}
